"""
@generated by mypy-protobuf.  Do not edit manually!
isort:skip_file
This Source Code Form is subject to the terms of the Mozilla Public
License, v. 2.0. If a copy of the MPL was not distributed with this
file, You can obtain one at https://mozilla.org/MPL/2.0/.
"""
import builtins
import google.protobuf.descriptor
import google.protobuf.internal.enum_type_wrapper
import google.protobuf.message
import sys
import typing

if sys.version_info >= (3, 10):
    import typing as typing_extensions
else:
    import typing_extensions

DESCRIPTOR: google.protobuf.descriptor.FileDescriptor

@typing_extensions.final
class ActionBuildStart(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    ACTION_ID_FIELD_NUMBER: builtins.int
    action_id: builtins.str
    def __init__(
        self,
        *,
        action_id: builtins.str = ...,
    ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["action_id", b"action_id"]) -> None: ...

global___ActionBuildStart = ActionBuildStart

@typing_extensions.final
class ActionBuildSuccess(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    ACTION_ID_FIELD_NUMBER: builtins.int
    action_id: builtins.str
    def __init__(
        self,
        *,
        action_id: builtins.str = ...,
    ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["action_id", b"action_id"]) -> None: ...

global___ActionBuildSuccess = ActionBuildSuccess

@typing_extensions.final
class ActionBuildCanceled(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    ACTION_ID_FIELD_NUMBER: builtins.int
    action_id: builtins.str
    def __init__(
        self,
        *,
        action_id: builtins.str = ...,
    ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["action_id", b"action_id"]) -> None: ...

global___ActionBuildCanceled = ActionBuildCanceled

@typing_extensions.final
class ActionBuildError(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    class _ErrorCodes:
        ValueType = typing.NewType("ValueType", builtins.int)
        V: typing_extensions.TypeAlias = ValueType

    class _ErrorCodesEnumTypeWrapper(google.protobuf.internal.enum_type_wrapper._EnumTypeWrapper[ActionBuildError._ErrorCodes.ValueType], builtins.type):  # noqa: F821
        DESCRIPTOR: google.protobuf.descriptor.EnumDescriptor
        Undefined: ActionBuildError._ErrorCodes.ValueType  # 0
        ImageNameNotDefined: ActionBuildError._ErrorCodes.ValueType  # 1
        ActionTypeNotSupported: ActionBuildError._ErrorCodes.ValueType  # 2
        InternalRegistryConnection: ActionBuildError._ErrorCodes.ValueType  # 3
        ErrorWhileRunningProcess: ActionBuildError._ErrorCodes.ValueType  # 4
        RegisteringFunction: ActionBuildError._ErrorCodes.ValueType  # 5
        AnotherBuildIsInProgress: ActionBuildError._ErrorCodes.ValueType  # 6

    class ErrorCodes(_ErrorCodes, metaclass=_ErrorCodesEnumTypeWrapper): ...
    Undefined: ActionBuildError.ErrorCodes.ValueType  # 0
    ImageNameNotDefined: ActionBuildError.ErrorCodes.ValueType  # 1
    ActionTypeNotSupported: ActionBuildError.ErrorCodes.ValueType  # 2
    InternalRegistryConnection: ActionBuildError.ErrorCodes.ValueType  # 3
    ErrorWhileRunningProcess: ActionBuildError.ErrorCodes.ValueType  # 4
    RegisteringFunction: ActionBuildError.ErrorCodes.ValueType  # 5
    AnotherBuildIsInProgress: ActionBuildError.ErrorCodes.ValueType  # 6

    ACTION_ID_FIELD_NUMBER: builtins.int
    LOGS_FIELD_NUMBER: builtins.int
    CODE_FIELD_NUMBER: builtins.int
    action_id: builtins.str
    logs: builtins.str
    code: global___ActionBuildError.ErrorCodes.ValueType
    def __init__(
        self,
        *,
        action_id: builtins.str = ...,
        logs: builtins.str = ...,
        code: global___ActionBuildError.ErrorCodes.ValueType = ...,
    ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["action_id", b"action_id", "code", b"code", "logs", b"logs"]) -> None: ...

global___ActionBuildError = ActionBuildError

@typing_extensions.final
class NoActionBuild(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    def __init__(
        self,
    ) -> None: ...

global___NoActionBuild = NoActionBuild
